Bug 737228 - Review Request: ghc-data-default - A class for types with a default value
Review Request: ghc-data-default - A class for types with a default value
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
: 648246 (view as bug list)
Depends On:
Blocks: 648247 ghc-tagged
  Show dependency treegraph
 
Reported: 2011-09-10 01:39 EDT by Narasimhan
Modified: 2016-08-14 12:25 EDT (History)
5 users (show)

See Also:
Fixed In Version: ghc-data-default-0.5.1-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-09 02:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2011-09-10 01:39:19 EDT
Spec file : http://narasim.fedorapeople.org/package_reviews/ghc-data-default.spec

SRPM file : http://narasim.fedorapeople.org/package_reviews/ghc-data-default-0.3.0-1.fc14.src.rpm

New dependency on ghc-dlist.

rpmlint output:
rpmlint  -i ghc-data-default-0.3.0-1.fc14.i686.rpm ghc-data-default-0.3.0-1.fc14.src.rpm ghc-data-default-devel-0.3.0-1.fc14.i686.rpm 
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Narasimhan 2011-09-10 01:39:40 EDT
*** Bug 648246 has been marked as a duplicate of this bug. ***
Comment 2 Jens Petersen 2011-09-27 06:10:26 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=3380247

Looks fine to me.  Will post a review soon.
Comment 3 Jens Petersen 2011-09-28 06:57:51 EDT
Here is the review:

 +:ok, NA: not applicable

MUST Items:
[+] MUST: rpmlint output

clean

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

2084fb7d26df07eb6b278c5a8ea04d32  data-default-0.3.0.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch
[NA] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

Package is APPROVED.
Comment 4 Narasimhan 2011-09-28 10:12:06 EDT
Thanks!

New Package SCM Request
=======================
Package Name: ghc-data-default
Short Description: A class for types with a default value 
Owners: narasim
Branches: f14 f15 f16
InitialCC: haskell-sig
Comment 5 Jon Ciesla 2011-09-29 08:11:54 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-09-30 00:05:56 EDT
ghc-data-default-0.3.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-data-default-0.3.0-1.fc16
Comment 7 Fedora Update System 2011-09-30 00:06:04 EDT
ghc-data-default-0.3.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-data-default-0.3.0-1.fc14
Comment 8 Fedora Update System 2011-09-30 00:06:12 EDT
ghc-data-default-0.3.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-data-default-0.3.0-1.fc15
Comment 9 Fedora Update System 2011-09-30 14:44:53 EDT
ghc-data-default-0.3.0-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 10 Fedora Update System 2011-10-09 02:54:13 EDT
ghc-data-default-0.3.0-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Fedora Update System 2011-10-09 02:58:31 EDT
ghc-data-default-0.3.0-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 12 Fedora Update System 2011-10-09 15:39:51 EDT
ghc-data-default-0.3.0-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Jens Petersen 2014-02-11 22:29:42 EST
Package Change Request
======================
Package Name: ghc-data-default
New Branches: el6 epel7
Owners: petersen
InitialCC: haskell-sig
Comment 14 Jon Ciesla 2014-02-12 08:00:26 EST
Git done (by process-git-requests).
Comment 15 Fedora Update System 2014-02-13 00:38:32 EST
ghc-data-default-0.5.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-data-default-0.5.1-2.el6
Comment 16 Fedora Update System 2014-03-03 15:02:15 EST
ghc-data-default-0.5.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.